// This file was modified by Petko Yotov for the purposes of
// the Mini gallery for PmWiki. (20181115)
var MiniLightboxOptions = {
  overlayOpacity: 0.8,   // controls transparency of shadow overlay
  animate: true,         // toggles resizing animations
  resizeSpeed: 7,        // controls the speed of the image resizing animations (1=slowest and 10=fastest)
  borderSize: 10,        // if you adjust the padding in the CSS, you will need to update this variable

  // When grouping images this is used to write: Image # of #.
  // Change it for non-english localization
  labelImage: "",
  labelOf: "/",
  
  fileLoadingImage:        "loading.gif",
  fileBottomNavCloseImage: "close.gif",
  prevArrowImage:          "prev.gif",
  nextArrowImage:          "next.gif"
}

// don't change these
var LightboxDirUrl = $('script[src*="mini-lightbox"]').attr('src').replace(/mini-lightbox\.js$/,'');

var LightboxOptions = MiniLightboxOptions;
LightboxOptions.fileLoadingImage = LightboxDirUrl + LightboxOptions.fileLoadingImage;
LightboxOptions.fileBottomNavCloseImage = LightboxDirUrl + LightboxOptions.fileBottomNavCloseImage;

// don't change these
var prevnext = ['prev', 'next']; 
var MiniLocalCss = "<style>";
for(var i = 0; i<2; i++) {
  var curr = prevnext[i];
  MiniLocalCss += "#" + curr + "Link:hover, #"
    +curr+"Link:visited:hover { background-image: url("
    +LightboxDirUrl+LightboxOptions[curr+'ArrowImage']+") !important;}";
}
MiniLocalCss += "</style>";
document.write(MiniLocalCss);
